<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_target_kernel_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_target_kernel_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__tivx__target__kernel__priv.html">Target Kernel APIs</a>]</small>
</h1><!-- doxytag: class="tivx_target_kernel_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Holds information about a target kernel instance. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__kernel__t.html#a37060a651ac6882e3ebc802a2b12d902">kernel_id</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__kernel__t.html#a9bacd40aa71315686beebd55087bf562">target_id</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__group__tivx__target__kernel.html#gaa32576c061941da6b7ad3dd05d8c9569">tivx_target_kernel_f</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__kernel__t.html#ab50b489692e922b2ecca512bc173024e">process_func</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__group__tivx__target__kernel.html#gaa32576c061941da6b7ad3dd05d8c9569">tivx_target_kernel_f</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__kernel__t.html#aa5a9a77c15d6508725ff92cfc40c429a">create_func</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__group__tivx__target__kernel.html#gaa32576c061941da6b7ad3dd05d8c9569">tivx_target_kernel_f</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__kernel__t.html#a162d1869fcf965af947ce95ca08884be">delete_func</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__group__tivx__target__kernel.html#gaa32576c061941da6b7ad3dd05d8c9569">tivx_target_kernel_f</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__kernel__t.html#abc8d5a0d77c2b11ee3e496b990306b88">control_func</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__target__kernel__t.html#a29d852e531e6438320c0f864a5b9fa49">caller_priv_arg</a></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a37060a651ac6882e3ebc802a2b12d902"></a><!-- doxytag: member="tivx_target_kernel_t::kernel_id" ref="a37060a651ac6882e3ebc802a2b12d902" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> <a class="el" href="structtivx__target__kernel__t.html#a37060a651ac6882e3ebc802a2b12d902">tivx_target_kernel_t::kernel_id</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>kernel ID </p>

</div>
</div>
<a class="anchor" id="a9bacd40aa71315686beebd55087bf562"></a><!-- doxytag: member="tivx_target_kernel_t::target_id" ref="a9bacd40aa71315686beebd55087bf562" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> <a class="el" href="structtivx__target__kernel__t.html#a9bacd40aa71315686beebd55087bf562">tivx_target_kernel_t::target_id</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ab50b489692e922b2ecca512bc173024e"></a><!-- doxytag: member="tivx_target_kernel_t::process_func" ref="ab50b489692e922b2ecca512bc173024e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__group__tivx__target__kernel.html#gaa32576c061941da6b7ad3dd05d8c9569">tivx_target_kernel_f</a> <a class="el" href="structtivx__target__kernel__t.html#ab50b489692e922b2ecca512bc173024e">tivx_target_kernel_t::process_func</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aa5a9a77c15d6508725ff92cfc40c429a"></a><!-- doxytag: member="tivx_target_kernel_t::create_func" ref="aa5a9a77c15d6508725ff92cfc40c429a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__group__tivx__target__kernel.html#gaa32576c061941da6b7ad3dd05d8c9569">tivx_target_kernel_f</a> <a class="el" href="structtivx__target__kernel__t.html#aa5a9a77c15d6508725ff92cfc40c429a">tivx_target_kernel_t::create_func</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a162d1869fcf965af947ce95ca08884be"></a><!-- doxytag: member="tivx_target_kernel_t::delete_func" ref="a162d1869fcf965af947ce95ca08884be" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__group__tivx__target__kernel.html#gaa32576c061941da6b7ad3dd05d8c9569">tivx_target_kernel_f</a> <a class="el" href="structtivx__target__kernel__t.html#a162d1869fcf965af947ce95ca08884be">tivx_target_kernel_t::delete_func</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="abc8d5a0d77c2b11ee3e496b990306b88"></a><!-- doxytag: member="tivx_target_kernel_t::control_func" ref="abc8d5a0d77c2b11ee3e496b990306b88" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__group__tivx__target__kernel.html#gaa32576c061941da6b7ad3dd05d8c9569">tivx_target_kernel_f</a> <a class="el" href="structtivx__target__kernel__t.html#abc8d5a0d77c2b11ee3e496b990306b88">tivx_target_kernel_t::control_func</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a29d852e531e6438320c0f864a5b9fa49"></a><!-- doxytag: member="tivx_target_kernel_t::caller_priv_arg" ref="a29d852e531e6438320c0f864a5b9fa49" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structtivx__target__kernel__t.html#a29d852e531e6438320c0f864a5b9fa49">tivx_target_kernel_t::caller_priv_arg</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
